Subject: Grid energy minimization

From: Jay Banks <[email-masked]>
Date: Tue, 22 Apr 2003 14:52:08 -0400

Hi --

Does anyone have experience with minimizing potential energy functions
defined at (or interpolated between) points on a 3-dimensional grid?
The minimizer I've been using has occasional problems, which I think are
associated with discontinuities at the edges of grid boxes, etc.

I know that the "downhill simplex" algorithm (Nelder & Mead, Computer
J. 7: 308 (1965)) can be useful for discontinuous functions (and/or
discontinuous derivatives), but I doubt that it is practical for my
purposes given the high dimensionality of my problem.  So I'd be
interested in hearing about modifications of other "standard" methods,
as well as anything "new" that anyone has come up with.

Sincerely,
Jay Banks

(banks "at" schrodinger "dot" com)